{ pkgs, ... }: {
  programs.tmux = {
    enable = true;
    keyMode = "vi";
    mouse = true;
    escapeTime = 0;
    plugins = [
      pkgs.tmuxPlugins.gruvbox
    ];
    shell = "/home/felix/.nix-profile/bin/zsh";
    terminal = "xterm-256color";
    extraConfig = ''
      # switch panes using Alt-hjkl without prefix
      bind -n M-h select-pane -L
      bind -n M-l select-pane -R
      bind -n M-k select-pane -U
      bind -n M-j select-pane -D

      # Better marking of active windo
      set-option -g pane-active-border-style fg=purple
      set-option -g pane-border-lines double

      # Synchonized panes
      set -g @inactive_bg '#012938'
      bind-key S setw synchronize-panes
      bind-key e select-pane -e -P "bg=off"
      bind-key d select-pane -d -P "bg=#{@inactive_bg}"
      '';

  };
}
